%
%Main Program to Generate all figures except for Figures 5-6
%

clear all;
close all
clc; 

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Begin of Partial Equilibrium 
dynare paPE;
nn=length(gk);
k=cumsum(gk-gk(nn)); k=[0; k(1:nn-1)];
imppaPE=[q-q(end) si-si(end), 0*q, 0*si k ]*100;
save tempimppaPE imppaPE; 

dynare paPEU
nn=length(gk);
k=cumsum(gk-gk(nn)); k=[0; k(1:nn-1)];
imppaPEU=[q-q(end) si-si(end), 0*q, 0*si, k]*100;
save tempimppaPEU imppaPEU;

dynare Lumpy1PE
nn=length(gk);
k=cumsum(gk-gk(nn)); k=[0; k(1:nn-1)];
impLumpy1PE=[q-q(end) si-si(end), f-f(end), p-p(end), k]*100;
save tempimpLumpy1PE impLumpy1PE;

dynare Lumpy1PEU
nn=length(gk);
k=cumsum(gk-gk(nn)); k=[0; k(1:nn-1)];
impLumpy1PEU=[q-q(end) si-si(end), f-f(end), p-p(end),k]*100;
save tempimpLumpy1PEU impLumpy1PEU;

dynare Lumpy2PE
nn=length(gk);
k=cumsum(gk-gk(nn)); k=[0; k(1:nn-1)];
impLumpy2PE=[q-q(end) si-si(end), f-f(end), p-p(end),k]*100;
save tempimpLumpy2PE impLumpy2PE;

dynare Lumpy2PEU
nn=length(gk);
k=cumsum(gk-gk(nn)); k=[0; k(1:nn-1)];
impLumpy2PEU=[q-q(end) si-si(end), f-f(end), p-p(end), k]*100;
save tempimpLumpy2PEU impLumpy2PEU;
% End of Partial Equilibrium
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%% Begining of Anticipated Shock
dynare mwrbcGE.mod;  % Growth GE
impmwrbcGE=[si-si(1), i-i(1), xk-xk(1), c-c(1), y-y(1), n-n(1) 0*i  r-r(1), w-w(1), 0*y, c, n, u]*100; 
save tempimpmwrbcGE impmwrbcGE; 
dynare mwrbcGEP.mod; % Growth GE parmanent Tax Change
impmwrbcGEP=[si-si(1), i-i(1), xk-xk(1), c-c(1), y-y(1), n-n(1) 0*i  r-r(1), w-w(1), 0*y, c, n, u]*100; 
save tempimpmwrbcGEP impmwrbcGEP; 
dynare paGE;  % Partial adjustment model GE
imppaGE=[si-si(1), i-i(1), xk-xk(1), c-c(1), y-y(1), n-n(1) 0*i  r-r(1), w-w(1), q-q(1), c, n, u]*100; 
save tempimppaGE imppaGE;
dynare paGEP ;% Partial adjustment model GE, Permanent Change
imppaGEP=[si-si(1), i-i(1), xk-xk(1), c-c(1), y-y(1), n-n(1) 0*i  r-r(1), w-w(1), q-q(1), c, n, u]*100; 
save tempimppaGEP imppaGEP;
dynare Lumpy1GE; % Lumpy Investment model, GE
impLumpy1GE=[si-si(1), i-i(1), xk-xk(1), c-c(1), y-y(1), n-n(1) p-p(1)  r-r(1), w-w(1), q-q(1), c, n, u]*100; 
save tempimpLumpy1GE impLumpy1GE
dynare Lumpy1GEP; % Lumpy Investment model GE, Permanent Change
impLumpy1GEP=[si-si(1), i-i(1), xk-xk(1), c-c(1), y-y(1), n-n(1) p-p(1)  r-r(1), w-w(1), q-q(1), c, n, u]*100; 
save tempimpLumpy1GEP impLumpy1GEP;
dynare Lumpy2GE; % Lumpy 2 Ge
impLumpy2GE=[si-si(1), i-i(1), xk-xk(1), c-c(1), y-y(1), n-n(1) p-p(1)  r-r(1), w-w(1), q-q(1), c, n, u]*100; 
save tempimpLumpy2GE impLumpy2GE;
dynare Lumpy2GEP; % Lumpy2 Investment model GE, Permanent Change
impLumpy2GEP=[si-si(1), i-i(1), xk-xk(1), c-c(1), y-y(1), n-n(1) p-p(1)  r-r(1), w-w(1), q-q(1), c, n, u]*100; 
save tempimpLumpy2GEP impLumpy2GEP;
%%%%% End of Anticipated Shock

% Begining of Unanticipated Shock

dynare mwrbcGEU.mod;  % Growth GE unanticipated 
impmwrbcGEU=[si-si(1), i-i(1), xk-xk(1), c-c(1), y-y(1), n-n(1) 0*i  r-r(1), w-w(1), 0*y, c, n, u]*100; 
save tempimpmwrbcGEU impmwrbcGEU; 
dynare mwrbcGEPU.mod; % Growth GE parmanent Tax Change
impmwrbcGEPU=[si-si(1), i-i(1), xk-xk(1), c-c(1), y-y(1), n-n(1) 0*i  r-r(1), w-w(1), 0*y, c, n, u]*100; 
save tempimpmwrbcGEPU impmwrbcGEPU; 
dynare paGEU;  % Partial adjustment model GE
imppaGEU=[si-si(1), i-i(1), xk-xk(1), c-c(1), y-y(1), n-n(1) 0*i  r-r(1), w-w(1), q-q(1), c, n, u]*100; 
save tempimppaGEU imppaGEU;
dynare paGEPU ;% Partial adjustment model GE, Permanent Change
imppaGEPU=[si-si(1), i-i(1), xk-xk(1), c-c(1), y-y(1), n-n(1) 0*i  r-r(1), w-w(1), q-q(1), c, n, u]*100; 
save tempimppaGEPU imppaGEPU;
dynare Lumpy1GEU; % Lumpy Investment model, GE
impLumpy1GEU=[si-si(1), i-i(1), xk-xk(1), c-c(1), y-y(1), n-n(1) p-p(1)  r-r(1), w-w(1), q-q(1), c, n, u]*100; 
save tempimpLumpy1GEU impLumpy1GEU
dynare Lumpy1GEPU; % Lumpy Investment model GE, Permanent Change
impLumpy1GEPU=[si-si(1), i-i(1), xk-xk(1), c-c(1), y-y(1), n-n(1) p-p(1)  r-r(1), w-w(1), q-q(1), c, n, u]*100; 
save tempimpLumpy1GEPU impLumpy1GEPU;
dynare Lumpy2GEU; % Lumpy 2 Ge
impLumpy2GEU=[si-si(1), i-i(1), xk-xk(1), c-c(1), y-y(1), n-n(1) p-p(1)  r-r(1), w-w(1), q-q(1), c, n, u]*100; 
save tempimpLumpy2GEU impLumpy2GEU;
dynare Lumpy2GEPU; % Lumpy2 Investment model GE, Permanent Change
impLumpy2GEPU=[si-si(1), i-i(1), xk-xk(1), c-c(1), y-y(1), n-n(1) p-p(1)  r-r(1), w-w(1), q-q(1), c, n, u]*100; 
save tempimpLumpy2GEPU impLumpy2GEPU;
%% End of Anticipated shock

% Begin of Investment Credit 
dynare mwrbcGEI.mod;  % Growth GE ITC
impmwrbcGEI=[si-si(1), i-i(1), xk-xk(1), c-c(1), y-y(1), n-n(1) 0*i  r-r(1), w-w(1), 0*y, c, n, u]*100; 
save tempimpmwrbcGEI impmwrbcGEI; 
dynare mwrbcGEIU.mod;  % Growth GE ITC unanticipated
impmwrbcGEIU=[si-si(1), i-i(1), xk-xk(1), c-c(1), y-y(1), n-n(1) 0*i  r-r(1), w-w(1), 0*y, c, n, u]*100; 
save tempimpmwrbcGEIU impmwrbcGEIU; 
dynare paGEI;  % Partial adjustment model GE ITC
imppaGEI=[si-si(1), i-i(1), xk-xk(1), c-c(1), y-y(1), n-n(1) 0*i  r-r(1), w-w(1), q-q(1), c, n, u]*100; 
save tempimppaGEI imppaGEI;
dynare paGEIU;  % Partial adjustment model GE ITC
imppaGEIU=[si-si(1), i-i(1), xk-xk(1), c-c(1), y-y(1), n-n(1) 0*i  r-r(1), w-w(1), q-q(1), c, n, u]*100; 
save tempimppaGEIU imppaGEIU;
dynare Lumpy1GEI; % Lumpy Investment model, GE
impLumpy1GEI=[si-si(1), i-i(1), xk-xk(1), c-c(1), y-y(1), n-n(1) p-p(1)  r-r(1), w-w(1), q-q(1), c, n, u]*100; 
save tempimpLumpy1GEI impLumpy1GEI;
dynare Lumpy1GEIU; % Lumpy Investment model, GE
impLumpy1GEIU=[si-si(1), i-i(1), xk-xk(1), c-c(1), y-y(1), n-n(1) p-p(1)  r-r(1), w-w(1), q-q(1), c, n, u]*100; 
save tempimpLumpy1GEIU impLumpy1GEIU;
dynare Lumpy2GEI; % Lumpy 2 Ge
impLumpy2GEI=[si-si(1), i-i(1), xk-xk(1), c-c(1), y-y(1), n-n(1) p-p(1)  r-r(1), w-w(1), q-q(1), c, n, u]*100; 
save tempimpLumpy2GEI impLumpy2GEI;
dynare Lumpy2GEIU; % Lumpy 2 Ge
impLumpy2GEIU=[si-si(1), i-i(1), xk-xk(1), c-c(1), y-y(1), n-n(1) p-p(1)  r-r(1), w-w(1), q-q(1), c, n, u]*100; 
save tempimpLumpy2GEIU impLumpy2GEIU;
% End of Investment Credit 


% begin permanent Investment Credit anticipated
dynare mwrbcGEIP.mod;  % Growth GE ITC
impmwrbcGEIP=[si-si(1), i-i(1), xk-xk(1), c-c(1), y-y(1), n-n(1) 0*i  r-r(1), w-w(1), 0*y, c, n, u]*100; 
save tempimpmwrbcGEIP impmwrbcGEIP; 
dynare mwrbcGEIPU.mod;  % Growth GE ITC unanticipated
impmwrbcGEIPU=[si-si(1), i-i(1), xk-xk(1), c-c(1), y-y(1), n-n(1) 0*i  r-r(1), w-w(1), 0*y, c, n, u]*100; 
save tempimpmwrbcGEIPU impmwrbcGEIPU; 
dynare paGEIP;  % Partial adjustment model GE ITC
imppaGEIP=[si-si(1), i-i(1), xk-xk(1), c-c(1), y-y(1), n-n(1) 0*i  r-r(1), w-w(1), q-q(1), c, n, u]*100; 
save tempimppaGEIP imppaGEIP;
dynare paGEIPU;  % Partial adjustment model GE ITC
imppaGEIPU=[si-si(1), i-i(1), xk-xk(1), c-c(1), y-y(1), n-n(1) 0*i  r-r(1), w-w(1), q-q(1), c, n, u]*100; 
save tempimppaGEIPU imppaGEIPU;
dynare Lumpy1GEIP; % Lumpy Investment model, GE
impLumpy1GEIP=[si-si(1), i-i(1), xk-xk(1), c-c(1), y-y(1), n-n(1) p-p(1)  r-r(1), w-w(1), q-q(1), c, n, u]*100; 
save tempimpLumpy1GEIP impLumpy1GEIP;
dynare Lumpy1GEIPU; % Lumpy Investment model, GE
impLumpy1GEIPU=[si-si(1), i-i(1), xk-xk(1), c-c(1), y-y(1), n-n(1) p-p(1)  r-r(1), w-w(1), q-q(1), c, n, u]*100; 
save tempimpLumpy1GEIPU impLumpy1GEIPU;
dynare Lumpy2GEIP; % Lumpy 2 Ge
impLumpy2GEIP=[si-si(1), i-i(1), xk-xk(1), c-c(1), y-y(1), n-n(1) p-p(1)  r-r(1), w-w(1), q-q(1), c, n, u]*100; 
save tempimpLumpy2GEIP impLumpy2GEIP;
dynare Lumpy2GEIPU; % Lumpy 2 Ge
impLumpy2GEIPU=[si-si(1), i-i(1), xk-xk(1), c-c(1), y-y(1), n-n(1) p-p(1)  r-r(1), w-w(1), q-q(1), c, n, u]*100; 
save tempimpLumpy2GEIPU impLumpy2GEIPU;

%end of permanent Investment credit anticipated

% Loading all generated impulse Reponses

clear all; 
load tempimppaPE;      %imppaPE; 
load tempimppaPEU;     %imppaPEU;
load tempimpLumpy1PE;  %impLumpy1PE;
load tempimpLumpy1PEU; %impLumpy1PEU;
load tempimpLumpy2PE;  %impLumpy2PE;
load tempimpLumpy2PEU; %impLumpy2PEU;

load tempimpmwrbcGE;  % impmwrbcGE; 
load tempimpmwrbcGEP; % impmwrbcGEP; 
load tempimppaGE;     % imppaGE;
load tempimppaGEP;    % imppaGEP;
load tempimpLumpy1GE; % impLumpy1GE
load tempimpLumpy1GEP;% impLumpy1GEP;
load tempimpLumpy2GE; % impLumpy2GE;
load tempimpLumpy2GEP;% impLumpy2GEP;

load tempimpmwrbcGEU;  % impmwrbcGEU; 
load tempimpmwrbcGEPU; % impmwrbcGEPU; 
load tempimppaGEU;     % imppaGEU;
load tempimppaGEPU;    % imppaGEPU;
load tempimpLumpy1GEU; % impLumpy1GEU
load tempimpLumpy1GEPU;% impLumpy1GEPU;
load tempimpLumpy2GEU; % impLumpy2GEU;
load tempimpLumpy2GEPU;% impLumpy2GEPU;

load tempimpmwrbcGEI;  % impmwrbcGE; 
load tempimpmwrbcGEIU; % impmwrbcGEP; 
load tempimppaGEI;     % imppaGE;
load tempimppaGEIU;    % imppaGEP;
load tempimpLumpy1GEI; % impLumpy1GE
load tempimpLumpy1GEIU;% impLumpy1GEP;
load tempimpLumpy2GEI; % impLumpy2GE;
load tempimpLumpy2GEIU;% impLumpy2GEP;

load tempimpmwrbcGEIP;   % impmwrbcGEIP; 
load tempimpmwrbcGEIPU;  % impmwrbcGEIPU; 
load tempimppaGEIP;      % imppaGEIP;
load tempimppaGEIPU;     % imppaGEIPU;
load tempimpLumpy1GEIP;  % impLumpy1GEIP;
load tempimpLumpy1GEIPU; % impLumpy1GEIPU;
load tempimpLumpy2GEIP;  % impLumpy2GEIP;
load tempimpLumpy2GEIPU; % impLumpy2GEIPU;

kkk=15; 
time=1:kkk; 

figure (1);      % figure 1: PE unactipated reduction tc from 0.35-->0.25 through period 1-4
subplot(2,2,1)
plot(time, imppaPEU(1:kkk,2), '*-',time, impLumpy1PEU(1:kkk,2), 'o-',time, impLumpy2PEU(1:kkk,2),'-^','LineWidth',1.5);
title('investment rate','fontsize',11)
subplot(2,2,2)
plot(time, imppaPEU(1:kkk,1), '*-',time, impLumpy1PEU(1:kkk,1),'o-', time, impLumpy2PEU(1:kkk,1),'-^','LineWidth',1.5); 
title('Q','fontsize',11)
subplot(2,2,3)
plot(time, imppaPEU(1:kkk,5), '*-',time, impLumpy1PEU(1:kkk,5), 'o-',time, impLumpy2PEU(1:kkk,5),'-^','LineWidth',1.5);
title('capital','fontsize',11)
subplot(2,2,4)
plot(time, imppaPEU(1:kkk,4), '*-',time, impLumpy1PEU(1:kkk,4),'o-', time, impLumpy2PEU(1:kkk,4),'-^','LineWidth',1.5);
title('ajustment rate','fontsize',11)
legend('PA', 'Lumpy1', 'Lumpy2');

print -depsc2 c:\users\Jianjun Miao\dropbox\papers\jianjunpengfei\JMCBTax\figure02.eps

figure (2);        % figure 2: PE anctipated reduction tc from 0.35-->0.25 through period 5-8
subplot(2,2,2)
plot(time, imppaPE(1:kkk,1), time, impLumpy1PE(1:kkk,1), time, impLumpy2PE(1:kkk,1),'LineWidth',1.5); 
title('Q')
subplot(2,2,1)
plot(time, imppaPE(1:kkk,2), time, impLumpy1PE(1:kkk,2), time, impLumpy2PE(1:kkk,2),'LineWidth',1.5);
title('investment rate')
subplot(2,2,3)
plot(time, imppaPE(1:kkk,5), time, impLumpy1PE(1:kkk,5), time, impLumpy2PE(1:kkk,5),'LineWidth',1.5);
title('capital')
subplot(2,2,4)
plot(time, imppaPE(1:kkk,4), time, impLumpy1PE(1:kkk,4), time, impLumpy2PE(1:kkk,4),'LineWidth',1.5);
title('ajustment Rate')
legend('PA', 'Lumpy1', 'Lumpy2')

figure (3)  % figure 3: GE unanctipated reduction tc from 0.35-->0.25 through period 1-4

subplot(3,3, 1);
plot(time, impmwrbcGEU(2:kkk+1,1), time, imppaGEU(2:kkk+1,1),':', time,impLumpy1GEU (2:kkk+1,1),'-.', time, impLumpy2GEU (2:kkk+1,1),'--' ,'LineWidth',1.5);
title('investment rate','fontsize',11); 
%ylabel('TUTK')
%subplot(5,2, 2);
%plot(time, impmwrbcGEU(2:kkk+1,2), time, imppaGEU(2:kkk+1,2),':', time,impLumpy1GEU (2:kkk+1,2), '-.',time, impLumpy2GEU (2:kkk+1,2),'--','LineWidth',1.5 );
%title('investment'); 

subplot(3,3, 2);
plot(time, impmwrbcGEU(2:kkk+1,7), time, imppaGEU(2:kkk+1,7),':', time,impLumpy1GEU (2:kkk+1,7),'-.', time, impLumpy2GEU (2:kkk+1,7),'--' ,'LineWidth',1.5);
title('adjustment rate','fontsize',11);

subplot(3,3, 3);
plot(time, impmwrbcGEU(2:kkk+1,10), time, imppaGEU(2:kkk+1,10),':', time,impLumpy1GEU (2:kkk+1,10),'-.', time, impLumpy2GEU (2:kkk+1,10),'--' ,'LineWidth',1.5);
title('Q','fontsize',11);

subplot(3,3, 4);
plot(time, impmwrbcGEU(2:kkk+1,3), time, imppaGEU(2:kkk+1,3),':', time,impLumpy1GEU (2:kkk+1,3), '-.',time, impLumpy2GEU (2:kkk+1,3) ,'--','LineWidth',1.5);
title('capital','fontsize',11);

subplot(3,3, 5);
plot(time, impmwrbcGEU(2:kkk+1,6), time, imppaGEU(2:kkk+1,6),':', time,impLumpy1GEU (2:kkk+1,6), '-.',time, impLumpy2GEU (2:kkk+1,6),'--' ,'LineWidth',1.5);
title('labor','fontsize',11);

subplot(3,3, 6);
plot(time, impmwrbcGEU(2:kkk+1,4), time, imppaGEU(2:kkk+1,4),':', time,impLumpy1GEU (2:kkk+1,4), '-.',time, impLumpy2GEU (2:kkk+1,4),'--' ,'LineWidth',1.5);
title('consumption','fontsize',11)
subplot(3,3, 7);
plot(time, impmwrbcGEU(2:kkk+1,5), time, imppaGEU(2:kkk+1,5), ':',time,impLumpy1GEU (2:kkk+1,5),'-.', time, impLumpy2GEU (2:kkk+1,5),'--' ,'LineWidth',1.5);
title('output','fontsize',11)

subplot(3,3, 8);
plot(time, impmwrbcGEU(2:kkk+1,8), time, imppaGEU(2:kkk+1,8), ':',time,impLumpy1GEU (2:kkk+1,8), '-.',time, impLumpy2GEU (2:kkk+1,8),'--','LineWidth',1.5 );
title('interest rate','fontsize',11);
subplot(3,3, 9);
plot(time, impmwrbcGEU(2:kkk+1,9), time, imppaGEU(2:kkk+1,9),':', time,impLumpy1GEU (2:kkk+1,9),'-.', time, impLumpy2GEU (2:kkk+1,9), '--','LineWidth',1.5);
title('wage','fontsize',11);

legend ('Growth', 'PA', 'Lumpy1', 'Lumpy2');
%print -depsc2 c:\papers\jianjunpengfei\figure01.eps


figure (4) % figure 4: GE anctipated reduction tc from 0.35-->0.25 through period 5-8
subplot(3,3, 1);
plot(time, impmwrbcGE(2:kkk+1,1), time, imppaGE(2:kkk+1,1),':', time,impLumpy1GE (2:kkk+1,1), '-.', time, impLumpy2GE (2:kkk+1,1),'--' ,'LineWidth',1.5 );
title('investment rate','fontsize',11); 
subplot(3,3, 2);
plot(time, impmwrbcGE(2:kkk+1,7), time, imppaGE(2:kkk+1,7),':', time,impLumpy1GE (2:kkk+1,7), '-.', time, impLumpy2GE (2:kkk+1,7),'--' ,'LineWidth',1.5 );
title('adjustment Rate','fontsize',11);
subplot(3,3,3);
plot(time, impmwrbcGE(2:kkk+1,10), time, imppaGE(2:kkk+1,10),':', time,impLumpy1GE (2:kkk+1,10), '-.', time, impLumpy2GE (2:kkk+1,10),'--' ,'LineWidth',1.5 );
title('Q','fontsize',11);
subplot(3,3, 4);
plot(time, impmwrbcGE(2:kkk+1,3), time, imppaGE(2:kkk+1,3),':', time,impLumpy1GE (2:kkk+1,3), '-.', time, impLumpy2GE (2:kkk+1,3),'--' ,'LineWidth',1.5 );
title('capital','fontsize',11);
subplot(3,3, 5);
plot(time, impmwrbcGE(2:kkk+1,6), time, imppaGE(2:kkk+1,6),':', time,impLumpy1GE (2:kkk+1,6), '-.', time, impLumpy2GE (2:kkk+1,6) ,'--' ,'LineWidth',1.5);
title('labor','fontsize',11);


subplot(3,3, 6);
plot(time, impmwrbcGE(2:kkk+1,4), time, imppaGE(2:kkk+1,4),':', time,impLumpy1GE (2:kkk+1,4), '-.', time, impLumpy2GE (2:kkk+1,4),'--' ,'LineWidth',1.5 );
title('consumption','fontsize',11)
subplot(3,3, 7);
plot(time, impmwrbcGE(2:kkk+1,5), time, imppaGE(2:kkk+1,5),':', time,impLumpy1GE (2:kkk+1,5), '-.', time, impLumpy2GE (2:kkk+1,5),'--' ,'LineWidth',1.5 );
title('output','fontsize',11)

subplot(3,3, 8);
plot(time, impmwrbcGE(2:kkk+1,8), time, imppaGE(2:kkk+1,8),':', time,impLumpy1GE (2:kkk+1,8), '-.', time, impLumpy2GE (2:kkk+1,8),'--' ,'LineWidth',1.5 );
title('Interest Rate','fontsize',11);
subplot(3,3, 9);
plot(time, impmwrbcGE(2:kkk+1,9), time, imppaGE(2:kkk+1,9),':', time,impLumpy1GE (2:kkk+1,9), '-.', time, impLumpy2GE (2:kkk+1,9) ,'--' ,'LineWidth',1.5);
title('Wage','fontsize',11);

legend ('Growth', 'PA', 'Lumpy1', 'Lumpy2');
%print -depsc2 c:\papers\jianjunpengfei\figure03.eps

figure (5)  % figure 5: GE unanctipated permaent reduction tc from 0.35-->0.25 

subplot(3,3, 1);  
plot(time, impmwrbcGEPU(2:kkk+1,1), time, imppaGEPU(2:kkk+1,1),':', time,impLumpy1GEPU (2:kkk+1,1), '-.', time, impLumpy2GEPU (2:kkk+1,1),'--' ,'LineWidth',1.5 );
title('investment rate','fontsize',11); 
%ylabel('PUTK')
%subplot(5,2, 2);
%plot(time, impmwrbcGEPU(2:kkk+1,2), time, imppaGEPU(2:kkk+1,2),':', time,impLumpy1GEPU (2:kkk+1,2), '-.', time, impLumpy2GEPU (2:kkk+1,2),'--' ,'LineWidth',1.5 );
%title('investment'); 
subplot(3,3, 4);
plot(time, impmwrbcGEPU(2:kkk+1,3), time, imppaGEPU(2:kkk+1,3),':', time,impLumpy1GEPU (2:kkk+1,3), '-.', time, impLumpy2GEPU (2:kkk+1,3),'--' ,'LineWidth',1.5 );
title('capital','fontsize',11); 
subplot(3,3, 6);
plot(time, impmwrbcGEPU(2:kkk+1,4), time, imppaGEPU(2:kkk+1,4),':', time,impLumpy1GEPU (2:kkk+1,4), '-.', time, impLumpy2GEPU (2:kkk+1,4) ,'--' ,'LineWidth',1.5);
title('consumption','fontsize',11)
subplot(3,3, 7);
plot(time, impmwrbcGEPU(2:kkk+1,5), time, imppaGEPU(2:kkk+1,5),':', time,impLumpy1GEPU (2:kkk+1,5), '-.', time, impLumpy2GEPU (2:kkk+1,5),'--' ,'LineWidth',1.5 );
title('output','fontsize',11)
subplot(3,3, 5);
plot(time, impmwrbcGEPU(2:kkk+1,6), time, imppaGEPU(2:kkk+1,6),':', time,impLumpy1GEPU (2:kkk+1,6), '-.', time, impLumpy2GEPU (2:kkk+1,6),'--' ,'LineWidth',1.5 );
title('labor','fontsize',11);
subplot(3,3, 2);
plot(time, impmwrbcGEPU(2:kkk+1,7), time, imppaGEPU(2:kkk+1,7),':', time,impLumpy1GEPU (2:kkk+1,7), '-.', time, impLumpy2GEPU (2:kkk+1,7),'--' ,'LineWidth',1.5 );
title('adjustment rate','fontsize',11);
subplot(3,3, 8);
plot(time, impmwrbcGEPU(2:kkk+1,8), time, imppaGEPU(2:kkk+1,8),':', time,impLumpy1GEPU (2:kkk+1,8), '-.', time, impLumpy2GEPU (2:kkk+1,8) ,'--' ,'LineWidth',1.5);
title('interest rate','fontsize',11);
subplot(3,3, 9);
plot(time, impmwrbcGEPU(2:kkk+1,9), time, imppaGEPU(2:kkk+1,9),':', time,impLumpy1GEPU (2:kkk+1,9), '-.', time, impLumpy2GEPU (2:kkk+1,9),'--' ,'LineWidth',1.5 );
title('wage','fontsize',11);
subplot(3,3, 3);
plot(time, impmwrbcGEPU(2:kkk+1,10), time, imppaGEPU(2:kkk+1,10),':', time,impLumpy1GEPU (2:kkk+1,10), '-.', time, impLumpy2GEPU (2:kkk+1,10),'--' ,'LineWidth',1.5 );
title('Q','fontsize',11);
legend ('Growth', 'PA', 'Lumpy1', 'Lumpy2');

%print -depsc2 c:\papers\jianjunpengfei\figure04.eps

figure (6)  % figure 6: GE anctipated permaent reduction tc from 0.35-->0.25 starting from period 5
subplot(3,3, 1);
plot(time, impmwrbcGEP(2:kkk+1,1), time, imppaGEP(2:kkk+1,1),':', time,impLumpy1GEP (2:kkk+1,1), '-.', time, impLumpy2GEP (2:kkk+1,1),'--' ,'LineWidth',1.5 );
title('investment rate','fontsize',11); 
%ylabel('PATK')
%subplot(3,3, 2);
%plot(time, impmwrbcGEP(2:kkk+1,2), time, imppaGEP(2:kkk+1,2),':', time,impLumpy1GEP (2:kkk+1,2), '-.', time, impLumpy2GEP (2:kkk+1,2),'--' ,'LineWidth',1.5 );
%title('investment'); 
subplot(3,3, 4);
plot(time, impmwrbcGEP(2:kkk+1,3), time, imppaGEP(2:kkk+1,3),':', time,impLumpy1GEP (2:kkk+1,3), '-.', time, impLumpy2GEP (2:kkk+1,3),'--' ,'LineWidth',1.5 );
title('capital','fontsize',11); 
subplot(3,3, 6);
plot(time, impmwrbcGEP(2:kkk+1,4), time, imppaGEP(2:kkk+1,4),':', time,impLumpy1GEP (2:kkk+1,4), '-.', time, impLumpy2GEP (2:kkk+1,4),'--' ,'LineWidth',1.5 );
title('consumption','fontsize',11)
subplot(3,3, 7);
plot(time, impmwrbcGEP(2:kkk+1,5), time, imppaGEP(2:kkk+1,5),':', time,impLumpy1GEP (2:kkk+1,5), '-.', time, impLumpy2GEP (2:kkk+1,5),'--' ,'LineWidth',1.5 );
title('output','fontsize',11)
subplot(3,3, 5);
plot(time, impmwrbcGEP(2:kkk+1,6), time, imppaGEP(2:kkk+1,6),':', time,impLumpy1GEP (2:kkk+1,6), '-.', time, impLumpy2GEP (2:kkk+1,6),'--' ,'LineWidth',1.5 );
title('labor','fontsize',11);
subplot(3,3, 2);
plot(time, impmwrbcGEP(2:kkk+1,7), time, imppaGEP(2:kkk+1,7),':', time,impLumpy1GEP (2:kkk+1,7), '-.', time, impLumpy2GEP (2:kkk+1,7),'--' ,'LineWidth',1.5 );
title('adjustment rate','fontsize',11);
subplot(3,3, 8);
plot(time, impmwrbcGEP(2:kkk+1,8), time, imppaGEP(2:kkk+1,8),':', time,impLumpy1GEP (2:kkk+1,8), '-.', time, impLumpy2GEP (2:kkk+1,8) ,'--' ,'LineWidth',1.5);
title('interest rate','fontsize',11);
subplot(3,3, 9);
plot(time, impmwrbcGEP(2:kkk+1,9), time, imppaGEP(2:kkk+1,9),':', time,impLumpy1GEP (2:kkk+1,9), '-.', time, impLumpy2GEP (2:kkk+1,9),'--' ,'LineWidth',1.5 );
title('wage','fontsize',11);
subplot(3,3, 3);
plot(time, impmwrbcGEP(2:kkk+1,10), time, imppaGEP(2:kkk+1,10),':', time,impLumpy1GEP (2:kkk+1,10), '-.', time, impLumpy2GEP (2:kkk+1,10) ,'--' ,'LineWidth',1.5);
title('Q','fontsize',11);
legend ('Growth', 'PA', 'Lumpy1', 'Lumpy2');
%print -depsc2 c:\papers\jianjunpengfei\figure07.eps

figure(7) % % figure7:  GE unanctipated reduction in ti from 0-->0.1 through period 1-4
subplot(3,3, 1);
plot(time, impmwrbcGEIU(2:kkk+1,1), time, imppaGEIU(2:kkk+1,1),':', time,impLumpy1GEIU (2:kkk+1,1), '-.', time, impLumpy2GEIU (2:kkk+1,1),'--' ,'LineWidth',1.5 );
title('investment rate','fontsize',11); 
%ylabel('TUTI')
%subplot(5,2, 2);
%plot(time, impmwrbcGEIU(2:kkk+1,2), time, imppaGEIU(2:kkk+1,2),':', time,impLumpy1GEIU (2:kkk+1,2), '-.', time, impLumpy2GEIU (2:kkk+1,2) ,'--' ,'LineWidth',1.5);
%title('investment'); 
subplot(3,3, 4);
plot(time, impmwrbcGEIU(2:kkk+1,3), time, imppaGEIU(2:kkk+1,3),':', time,impLumpy1GEIU (2:kkk+1,3), '-.', time, impLumpy2GEIU (2:kkk+1,3),'--' ,'LineWidth',1.5 );
title('capital','fontsize',11); 
subplot(3,3, 6);
plot(time, impmwrbcGEIU(2:kkk+1,4), time, imppaGEIU(2:kkk+1,4),':', time,impLumpy1GEIU (2:kkk+1,4), '-.', time, impLumpy2GEIU (2:kkk+1,4),'--' ,'LineWidth',1.5 );
title('consumption','fontsize',11)
subplot(3,3, 7);
plot(time, impmwrbcGEIU(2:kkk+1,5), time, imppaGEIU(2:kkk+1,5),':', time,impLumpy1GEIU (2:kkk+1,5), '-.', time, impLumpy2GEIU (2:kkk+1,5) ,'--' ,'LineWidth',1.5);
title('output','fontsize',11)
subplot(3,3, 5);
plot(time, impmwrbcGEIU(2:kkk+1,6), time, imppaGEIU(2:kkk+1,6),':', time,impLumpy1GEIU (2:kkk+1,6), '-.', time, impLumpy2GEIU (2:kkk+1,6) ,'--' ,'LineWidth',1.5);
title('labor','fontsize',11);
subplot(3,3, 2);
plot(time, impmwrbcGEIU(2:kkk+1,7), time, imppaGEIU(2:kkk+1,7),':', time,impLumpy1GEIU (2:kkk+1,7), '-.', time, impLumpy2GEIU (2:kkk+1,7),'--' ,'LineWidth',1.5 );
title('adjustment rate','fontsize',11);
subplot(3,3, 8);
plot(time, impmwrbcGEIU(2:kkk+1,8), time, imppaGEIU(2:kkk+1,8),':', time,impLumpy1GEIU (2:kkk+1,8), '-.', time, impLumpy2GEIU (2:kkk+1,8) ,'--' ,'LineWidth',1.5);
title('interest rate','fontsize',11);
subplot(3,3, 9);
plot(time, impmwrbcGEIU(2:kkk+1,9), time, imppaGEIU(2:kkk+1,9),':', time,impLumpy1GEIU (2:kkk+1,9), '-.', time, impLumpy2GEIU (2:kkk+1,9) ,'--' ,'LineWidth',1.5);
title('wage','fontsize',11);
subplot(3,3, 3);
plot(time, impmwrbcGEIU(2:kkk+1,10), time, imppaGEIU(2:kkk+1,10),':', time,impLumpy1GEIU (2:kkk+1,10), '-.', time, impLumpy2GEIU (2:kkk+1,10),'--' ,'LineWidth',1.5 );
title('Q','fontsize',11);
legend ('Growth', 'PA', 'Lumpy1', 'Lumpy2');
%print -depsc2 c:\papers\jianjunpengfei\figure08.eps

figure (8) % figure8:  GE anctipated permaent reduction in ti from 0-->0.1 in period 5-8
subplot(3,3, 1);
plot(time, impmwrbcGEI(2:kkk+1,1), time, imppaGEI(2:kkk+1,1),':', time,impLumpy1GEI (2:kkk+1,1), '-.', time, impLumpy2GEI (2:kkk+1,1) ,'--' ,'LineWidth',1.5);
title('investment rate','fontsize',11); 
%ylabel('TATI')
%subplot(5,2, 2);
%plot(time, impmwrbcGEI(2:kkk+1,2), time, imppaGEI(2:kkk+1,2),':', time,impLumpy1GEI (2:kkk+1,2), '-.', time, impLumpy2GEI (2:kkk+1,2) ,'--' ,'LineWidth',1.5);
%title('investment'); 
subplot(3,3, 4);
plot(time, impmwrbcGEI(2:kkk+1,3), time, imppaGEI(2:kkk+1,3),':', time,impLumpy1GEI (2:kkk+1,3), '-.', time, impLumpy2GEI (2:kkk+1,3),'--' ,'LineWidth',1.5 );
title('capital','fontsize',11); 
subplot(3,3, 6);
plot(time, impmwrbcGEI(2:kkk+1,4), time, imppaGEI(2:kkk+1,4),':', time,impLumpy1GEI (2:kkk+1,4), '-.', time, impLumpy2GEI (2:kkk+1,4) ,'--' ,'LineWidth',1.5);
title('consumption','fontsize',11)
subplot(3,3, 7);
plot(time, impmwrbcGEI(2:kkk+1,5), time, imppaGEI(2:kkk+1,5),':', time,impLumpy1GEI (2:kkk+1,5), '-.', time, impLumpy2GEI (2:kkk+1,5),'--' ,'LineWidth',1.5 );
title('output','fontsize',11)
subplot(3,3, 5);
plot(time, impmwrbcGEI(2:kkk+1,6), time, imppaGEI(2:kkk+1,6),':', time,impLumpy1GEI (2:kkk+1,6), '-.', time, impLumpy2GEI (2:kkk+1,6),'--' ,'LineWidth',1.5 );
title('labor','fontsize',11);
subplot(3,3, 2);
plot(time, impmwrbcGEI(2:kkk+1,7), time, imppaGEI(2:kkk+1,7),':', time,impLumpy1GEI (2:kkk+1,7), '-.', time, impLumpy2GEI (2:kkk+1,7),'--' ,'LineWidth',1.5 );
title('adjustment rate','fontsize',11);
subplot(3,3, 8);
plot(time, impmwrbcGEI(2:kkk+1,8), time, imppaGEI(2:kkk+1,8),':', time,impLumpy1GEI (2:kkk+1,8), '-.', time, impLumpy2GEI (2:kkk+1,8),'--' ,'LineWidth',1.5 );
title('interest rate','fontsize',11);
subplot(3,3, 9);
plot(time, impmwrbcGEI(2:kkk+1,9), time, imppaGEI(2:kkk+1,9),':', time,impLumpy1GEI (2:kkk+1,9), '-.', time, impLumpy2GEI (2:kkk+1,9),'--' ,'LineWidth',1.5 );
title('wage','fontsize',11);
subplot(3,3, 3);
plot(time, impmwrbcGEI(2:kkk+1,10), time, imppaGEI(2:kkk+1,10),':', time,impLumpy1GEI (2:kkk+1,10), '-.', time, impLumpy2GEI (2:kkk+1,10),'--' ,'LineWidth',1.5 );
title('Q','fontsize',11);
legend ('Growth', 'PA', 'Lumpy1', 'Lumpy2');
%print -depsc2 c:\papers\jianjunpengfei\figure09.eps

figure(9) % Permanent Unanticipated Investment Credit

subplot(3,3, 1);
plot(time, impmwrbcGEIPU(2:kkk+1,1), time, imppaGEIPU(2:kkk+1,1),':', time,impLumpy1GEIPU (2:kkk+1,1), '-.', time, impLumpy2GEIPU (2:kkk+1,1),'--' ,'LineWidth',1.5 );
title('investment rate','fontsize',11); 
%ylabel('PUTI')
%subplot(5,2, 2);
%plot(time, impmwrbcGEIPU(2:kkk+1,2), time, imppaGEIPU(2:kkk+1,2),':', time,impLumpy1GEIPU (2:kkk+1,2), '-.', time, impLumpy2GEIPU (2:kkk+1,2),'--' ,'LineWidth',1.5);
%title('investment'); 
subplot(3,3, 4);
plot(time, impmwrbcGEIPU(2:kkk+1,3), time, imppaGEIPU(2:kkk+1,3),':', time,impLumpy1GEIPU (2:kkk+1,3), '-.', time, impLumpy2GEIPU (2:kkk+1,3) ,'--' ,'LineWidth',1.5);
title('capital','fontsize',11); 
subplot(3,3, 6);
plot(time, impmwrbcGEIPU(2:kkk+1,4), time, imppaGEIPU(2:kkk+1,4),':', time,impLumpy1GEIPU (2:kkk+1,4), '-.', time, impLumpy2GEIPU (2:kkk+1,4) ,'--' ,'LineWidth',1.5);
title('consumption','fontsize',11)
subplot(3,3, 7);
plot(time, impmwrbcGEIPU(2:kkk+1,5), time, imppaGEIPU(2:kkk+1,5),':', time,impLumpy1GEIPU (2:kkk+1,5), '-.', time, impLumpy2GEIPU (2:kkk+1,5) ,'--' ,'LineWidth',1.5);
title('output','fontsize',11)
subplot(3,3, 5);
plot(time, impmwrbcGEIPU(2:kkk+1,6), time, imppaGEIPU(2:kkk+1,6),':', time,impLumpy1GEIPU (2:kkk+1,6), '-.', time, impLumpy2GEIPU (2:kkk+1,6),'--' ,'LineWidth',1.5 );
title('labor','fontsize',11);
subplot(3,3, 2);
plot(time, impmwrbcGEIPU(2:kkk+1,7), time, imppaGEIPU(2:kkk+1,7),':', time,impLumpy1GEIPU (2:kkk+1,7), '-.', time, impLumpy2GEIPU (2:kkk+1,7),'--' ,'LineWidth',1.5 );
title('adjustment rate','fontsize',11);
subplot(3,3, 8);
plot(time, impmwrbcGEIPU(2:kkk+1,8), time, imppaGEIPU(2:kkk+1,8),':', time,impLumpy1GEIPU (2:kkk+1,8), '-.', time, impLumpy2GEIPU (2:kkk+1,8),'--' ,'LineWidth',1.5 );
title('interest rate','fontsize',11);
subplot(3,3, 9);
plot(time, impmwrbcGEIPU(2:kkk+1,9), time, imppaGEIPU(2:kkk+1,9),':', time,impLumpy1GEIPU (2:kkk+1,9), '-.', time, impLumpy2GEIPU (2:kkk+1,9) ,'--' ,'LineWidth',1.5);
title('wage','fontsize',11);
subplot(3,3, 3);
plot(time, impmwrbcGEIPU(2:kkk+1,10), time, imppaGEIPU(2:kkk+1,10),':', time,impLumpy1GEIPU (2:kkk+1,10), '-.', time, impLumpy2GEIPU (2:kkk+1,10),'--' ,'LineWidth',1.5 );
title('Q','fontsize',11);
legend ('Growth', 'PA', 'Lumpy1', 'Lumpy2');
%print -depsc2 c:\papers\jianjunpengfei\figure10.eps

figure (10) ; % Permanent anticipated Investment Credit
subplot(3,3, 1);
plot(time, impmwrbcGEIP(2:kkk+1,1), time, imppaGEIP(2:kkk+1,1),':', time,impLumpy1GEIP (2:kkk+1,1), '-.', time, impLumpy2GEIP (2:kkk+1,1),'--' ,'LineWidth',1.5 );
title('investment rate','fontsize',11); 
%ylabel('TATIP')
%subplot(5,2, 2);
%plot(time, impmwrbcGEIP(2:kkk+1,2), time, imppaGEIP(2:kkk+1,2),':', time,impLumpy1GEIP (2:kkk+1,2), '-.', time, impLumpy2GEIP (2:kkk+1,2),'--' ,'LineWidth',1.5 );
%title('investment'); 
subplot(3,3, 4);
plot(time, impmwrbcGEIP(2:kkk+1,3), time, imppaGEIP(2:kkk+1,3),':', time,impLumpy1GEIP (2:kkk+1,3), '-.', time, impLumpy2GEIP (2:kkk+1,3) ,'--' ,'LineWidth',1.5);
title('capital','fontsize',11); 
subplot(3,3, 6);
plot(time, impmwrbcGEIP(2:kkk+1,4), time, imppaGEIP(2:kkk+1,4),':', time,impLumpy1GEIP (2:kkk+1,4), '-.', time, impLumpy2GEIP (2:kkk+1,4) ,'--' ,'LineWidth',1.5);
title('consumption','fontsize',11)
subplot(3,3, 7);
plot(time, impmwrbcGEIP(2:kkk+1,5), time, imppaGEIP(2:kkk+1,5),':', time,impLumpy1GEIP (2:kkk+1,5), '-.', time, impLumpy2GEIP (2:kkk+1,5) ,'--' ,'LineWidth',1.5);
title('output','fontsize',11)
subplot(3,3, 5);
plot(time, impmwrbcGEIP(2:kkk+1,6), time, imppaGEIP(2:kkk+1,6),':', time,impLumpy1GEIP (2:kkk+1,6), '-.', time, impLumpy2GEIP (2:kkk+1,6),'--' ,'LineWidth',1.5 );
title('labor','fontsize',11);
subplot(3,3, 2);
plot(time, impmwrbcGEIP(2:kkk+1,7), time, imppaGEIP(2:kkk+1,7),':', time,impLumpy1GEIP (2:kkk+1,7), '-.', time, impLumpy2GEIP (2:kkk+1,7),'--' ,'LineWidth',1.5 );
title('adjustment rate','fontsize',11);
subplot(3,3, 8);
plot(time, impmwrbcGEIP(2:kkk+1,8), time, imppaGEIP(2:kkk+1,8),':', time,impLumpy1GEIP (2:kkk+1,8), '-.', time, impLumpy2GEIP (2:kkk+1,8),'--' ,'LineWidth',1.5 );
title('interest rate','fontsize',11);
subplot(3,3, 9);
plot(time, impmwrbcGEIP(2:kkk+1,9), time, imppaGEIP(2:kkk+1,9),':', time,impLumpy1GEIP (2:kkk+1,9), '-.', time, impLumpy2GEIP (2:kkk+1,9) ,'--' ,'LineWidth',1.5);
title('wage','fontsize',11);
subplot(3,3, 3);
plot(time, impmwrbcGEIP(2:kkk+1,10), time, imppaGEIP(2:kkk+1,10),':', time,impLumpy1GEIP (2:kkk+1,10), '-.', time, impLumpy2GEIP (2:kkk+1,10),'--' ,'LineWidth',1.5 );
title('Q','fontsize',11);
legend ('Growth', 'PA', 'Lumpy1', 'Lumpy2');

%print -depsc2 c:\papers\jianjunpengfei\figure11.eps


% Generate the wefare table 
% U(1,:) welfare of general equilibrium transitory tax change unantipated
% U(2,:) welfare of general equilibrium transitory tax change antipated

% U(3,:) welfare of general equilibrium Permanent  tax change unantipated
% U(4,:) welfare of general equilibrium Permanent tax change antipated

% U(5,:) welfare of general equilibrium transitory investment credit unantipated
% U(6,:) welfare of general equilibrium transitory investment credit antipated

% U(7,:) welfare of general equilibrium permanent investment credit unantipated
% U(8,:) welfare of general equilibrium permanent investment credit antipated

beta=0.9615;

u=zeros(8, 4);

u(1,1)=(impmwrbcGEU(2,end)-impmwrbcGEU(1,end))*(1-beta); 
u(1,2)=(imppaGEU(2,end)-imppaGEU(1,end))*(1-beta); 
u(1,3)=(impLumpy1GEU(2,end)-impLumpy1GEU(1,end))*(1-beta); 
u(1,4)=(impLumpy2GEU(2,end)-impLumpy2GEU(1,end))*(1-beta); 

u(2,1)=(impmwrbcGE(2,end)-impmwrbcGE(1,end))*(1-beta); 
u(2,2)=(imppaGE(2,end)-imppaGE(1,end))*(1-beta); 
u(2,3)=(impLumpy1GE(2,end)-impLumpy1GE(1,end))*(1-beta); 
u(2,4)=(impLumpy2GE(2,end)-impLumpy2GE(1,end))*(1-beta); 

u(3,1)=(impmwrbcGEPU(2,end)-impmwrbcGEPU(1,end))*(1-beta); 
u(3,2)=(imppaGEPU(2,end)-imppaGEPU(1,end))*(1-beta); 
u(3,3)=(impLumpy1GEPU(2,end)-impLumpy1GEPU(1,end))*(1-beta); 
u(3,4)=(impLumpy2GEPU(2,end)-impLumpy2GEPU(1,end))*(1-beta); 

u(4,1)=(impmwrbcGEP(2,end)-impmwrbcGEP(1,end))*(1-beta); 
u(4,2)=(imppaGEP(2,end)-imppaGEP(1,end))*(1-beta); 
u(4,3)=(impLumpy1GEP(2,end)-impLumpy1GEP(1,end))*(1-beta); 
u(4,4)=(impLumpy2GEP(2,end)-impLumpy2GEP(1,end))*(1-beta); 

u(5,1)=(impmwrbcGEIU(2,end)-impmwrbcGEIU(1,end))*(1-beta); 
u(5,2)=(imppaGEIU(2,end)-imppaGEIU(1,end))*(1-beta); 
u(5,3)=(impLumpy1GEIU(2,end)-impLumpy1GEIU(1,end))*(1-beta); 
u(5,4)=(impLumpy2GEIU(2,end)-impLumpy2GEIU(1,end))*(1-beta); 

u(6,1)=(impmwrbcGEI(2,end)-impmwrbcGEI(1,end))*(1-beta); 
u(6,2)=(imppaGEI(2,end)-imppaGEI(1,end))*(1-beta); 
u(6,3)=(impLumpy1GEI(2,end)-impLumpy1GEI(1,end))*(1-beta); 
u(6,4)=(impLumpy2GEI(2,end)-impLumpy2GEI(1,end))*(1-beta); 

u(7,1)=(impmwrbcGEIPU(2,end)-impmwrbcGEIPU(1,end))*(1-beta); 
u(7,2)=(imppaGEIPU(2,end)-imppaGEIPU(1,end))*(1-beta); 
u(7,3)=(impLumpy1GEIPU(2,end)-impLumpy1GEIPU(1,end))*(1-beta); 
u(7,4)=(impLumpy2GEIPU(2,end)-impLumpy2GEIPU(1,end))*(1-beta); 

u(8,1)=(impmwrbcGEIP(2,end)-impmwrbcGEIP(1,end))*(1-beta); 
u(8,2)=(imppaGEIP(2,end)-imppaGEIP(1,end))*(1-beta); 
u(8,3)=(impLumpy1GEIP(2,end)-impLumpy1GEIP(1,end))*(1-beta); 
u(8,4)=(impLumpy2GEIP(2,end)-impLumpy2GEIP(1,end))*(1-beta); 

u1=(exp(u/100)-1)*100 






