%
%Main Program to General all figures except for Figures 5-6
%

clear all;
close all
clc; 

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Begin of Partial Equilibrium 
dynare paPE;
nn=length(gk);
k=cumsum(gk-gk(nn)); k=[0; k(1:nn-1)];
imppaPE=[q-q(end) si-si(end), 0*q, 0*si k ]*100;
save tempimppaPE imppaPE; 

dynare paPEU
nn=length(gk);
k=cumsum(gk-gk(nn)); k=[0; k(1:nn-1)];
imppaPEU=[q-q(end) si-si(end), 0*q, 0*si, k]*100;
save tempimppaPEU imppaPEU;

dynare Lumpy1PE
nn=length(gk);
k=cumsum(gk-gk(nn)); k=[0; k(1:nn-1)];
impLumpy1PE=[q-q(end) si-si(end), f-f(end), p-p(end), k]*100;
save tempimpLumpy1PE impLumpy1PE;

dynare Lumpy1PEU
nn=length(gk);
k=cumsum(gk-gk(nn)); k=[0; k(1:nn-1)];
impLumpy1PEU=[q-q(end) si-si(end), f-f(end), p-p(end),k]*100;
save tempimpLumpy1PEU impLumpy1PEU;

dynare Lumpy2PE
nn=length(gk);
k=cumsum(gk-gk(nn)); k=[0; k(1:nn-1)];
impLumpy2PE=[q-q(end) si-si(end), f-f(end), p-p(end),k]*100;
save tempimpLumpy2PE impLumpy2PE;

dynare Lumpy2PEU
nn=length(gk);
k=cumsum(gk-gk(nn)); k=[0; k(1:nn-1)];
impLumpy2PEU=[q-q(end) si-si(end), f-f(end), p-p(end), k]*100;
save tempimpLumpy2PEU impLumpy2PEU;
% End of Partial Equilibrium
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%% Begining of Anticipated Shock
dynare mwrbcGE.mod;  % Growth GE
impmwrbcGE=[si-si(1), i-i(1), xk-xk(1), c-c(1), y-y(1), n-n(1) 0*i  r-r(1), w-w(1), 0*y, c, n, u]*100; 
save tempimpmwrbcGE impmwrbcGE; 
dynare mwrbcGEP.mod; % Growth GE parmanent Tax Change
impmwrbcGEP=[si-si(1), i-i(1), xk-xk(1), c-c(1), y-y(1), n-n(1) 0*i  r-r(1), w-w(1), 0*y, c, n, u]*100; 
save tempimpmwrbcGEP impmwrbcGEP; 
dynare paGE;  % Partial adjustment model GE
imppaGE=[si-si(1), i-i(1), xk-xk(1), c-c(1), y-y(1), n-n(1) 0*i  r-r(1), w-w(1), q-q(1), c, n, u]*100; 
save tempimppaGE imppaGE;
dynare paGEP ;% Partial adjustment model GE, Permanent Change
imppaGEP=[si-si(1), i-i(1), xk-xk(1), c-c(1), y-y(1), n-n(1) 0*i  r-r(1), w-w(1), q-q(1), c, n, u]*100; 
save tempimppaGEP imppaGEP;
dynare Lumpy1GE; % Lumpy Investment model, GE
impLumpy1GE=[si-si(1), i-i(1), xk-xk(1), c-c(1), y-y(1), n-n(1) p-p(1)  r-r(1), w-w(1), q-q(1), c, n, u]*100; 
save tempimpLumpy1GE impLumpy1GE
dynare Lumpy1GEP; % Lumpy Investment model GE, Permanent Change
impLumpy1GEP=[si-si(1), i-i(1), xk-xk(1), c-c(1), y-y(1), n-n(1) p-p(1)  r-r(1), w-w(1), q-q(1), c, n, u]*100; 
save tempimpLumpy1GEP impLumpy1GEP;
dynare Lumpy2GE; % Lumpy 2 Ge
impLumpy2GE=[si-si(1), i-i(1), xk-xk(1), c-c(1), y-y(1), n-n(1) p-p(1)  r-r(1), w-w(1), q-q(1), c, n, u]*100; 
save tempimpLumpy2GE impLumpy2GE;
dynare Lumpy2GEP; % Lumpy2 Investment model GE, Permanent Change
impLumpy2GEP=[si-si(1), i-i(1), xk-xk(1), c-c(1), y-y(1), n-n(1) p-p(1)  r-r(1), w-w(1), q-q(1), c, n, u]*100; 
save tempimpLumpy2GEP impLumpy2GEP;
%%%%% End of Anticipated Shock

% Begining of Unanticipated Shock

dynare mwrbcGEU.mod;  % Growth GE unanticipated 
impmwrbcGEU=[si-si(1), i-i(1), xk-xk(1), c-c(1), y-y(1), n-n(1) 0*i  r-r(1), w-w(1), 0*y, c, n, u]*100; 
save tempimpmwrbcGEU impmwrbcGEU; 
dynare mwrbcGEPU.mod; % Growth GE parmanent Tax Change
impmwrbcGEPU=[si-si(1), i-i(1), xk-xk(1), c-c(1), y-y(1), n-n(1) 0*i  r-r(1), w-w(1), 0*y, c, n, u]*100; 
save tempimpmwrbcGEPU impmwrbcGEPU; 
dynare paGEU;  % Partial adjustment model GE
imppaGEU=[si-si(1), i-i(1), xk-xk(1), c-c(1), y-y(1), n-n(1) 0*i  r-r(1), w-w(1), q-q(1), c, n, u]*100; 
save tempimppaGEU imppaGEU;
dynare paGEPU ;% Partial adjustment model GE, Permanent Change
imppaGEPU=[si-si(1), i-i(1), xk-xk(1), c-c(1), y-y(1), n-n(1) 0*i  r-r(1), w-w(1), q-q(1), c, n, u]*100; 
save tempimppaGEPU imppaGEPU;
dynare Lumpy1GEU; % Lumpy Investment model, GE
impLumpy1GEU=[si-si(1), i-i(1), xk-xk(1), c-c(1), y-y(1), n-n(1) p-p(1)  r-r(1), w-w(1), q-q(1), c, n, u]*100; 
save tempimpLumpy1GEU impLumpy1GEU
dynare Lumpy1GEPU; % Lumpy Investment model GE, Permanent Change
impLumpy1GEPU=[si-si(1), i-i(1), xk-xk(1), c-c(1), y-y(1), n-n(1) p-p(1)  r-r(1), w-w(1), q-q(1), c, n, u]*100; 
save tempimpLumpy1GEPU impLumpy1GEPU;
dynare Lumpy2GEU; % Lumpy 2 Ge
impLumpy2GEU=[si-si(1), i-i(1), xk-xk(1), c-c(1), y-y(1), n-n(1) p-p(1)  r-r(1), w-w(1), q-q(1), c, n, u]*100; 
save tempimpLumpy2GEU impLumpy2GEU;
dynare Lumpy2GEPU; % Lumpy2 Investment model GE, Permanent Change
impLumpy2GEPU=[si-si(1), i-i(1), xk-xk(1), c-c(1), y-y(1), n-n(1) p-p(1)  r-r(1), w-w(1), q-q(1), c, n, u]*100; 
save tempimpLumpy2GEPU impLumpy2GEPU;
%% End of Anticipated shock

% Begin of Investment Credit 
dynare mwrbcGEI.mod;  % Growth GE ITC
impmwrbcGEI=[si-si(1), i-i(1), xk-xk(1), c-c(1), y-y(1), n-n(1) 0*i  r-r(1), w-w(1), 0*y, c, n, u]*100; 
save tempimpmwrbcGEI impmwrbcGEI; 
dynare mwrbcGEIU.mod;  % Growth GE ITC unanticipated
impmwrbcGEIU=[si-si(1), i-i(1), xk-xk(1), c-c(1), y-y(1), n-n(1) 0*i  r-r(1), w-w(1), 0*y, c, n, u]*100; 
save tempimpmwrbcGEIU impmwrbcGEIU; 
dynare paGEI;  % Partial adjustment model GE ITC
imppaGEI=[si-si(1), i-i(1), xk-xk(1), c-c(1), y-y(1), n-n(1) 0*i  r-r(1), w-w(1), q-q(1), c, n, u]*100; 
save tempimppaGEI imppaGEI;
dynare paGEIU;  % Partial adjustment model GE ITC
imppaGEIU=[si-si(1), i-i(1), xk-xk(1), c-c(1), y-y(1), n-n(1) 0*i  r-r(1), w-w(1), q-q(1), c, n, u]*100; 
save tempimppaGEIU imppaGEIU;
dynare Lumpy1GEI; % Lumpy Investment model, GE
impLumpy1GEI=[si-si(1), i-i(1), xk-xk(1), c-c(1), y-y(1), n-n(1) p-p(1)  r-r(1), w-w(1), q-q(1), c, n, u]*100; 
save tempimpLumpy1GEI impLumpy1GEI;
dynare Lumpy1GEIU; % Lumpy Investment model, GE
impLumpy1GEIU=[si-si(1), i-i(1), xk-xk(1), c-c(1), y-y(1), n-n(1) p-p(1)  r-r(1), w-w(1), q-q(1), c, n, u]*100; 
save tempimpLumpy1GEIU impLumpy1GEIU;
dynare Lumpy2GEI; % Lumpy 2 Ge
impLumpy2GEI=[si-si(1), i-i(1), xk-xk(1), c-c(1), y-y(1), n-n(1) p-p(1)  r-r(1), w-w(1), q-q(1), c, n, u]*100; 
save tempimpLumpy2GEI impLumpy2GEI;
dynare Lumpy2GEIU; % Lumpy 2 Ge
impLumpy2GEIU=[si-si(1), i-i(1), xk-xk(1), c-c(1), y-y(1), n-n(1) p-p(1)  r-r(1), w-w(1), q-q(1), c, n, u]*100; 
save tempimpLumpy2GEIU impLumpy2GEIU;
% End of Investment Credit 


% begin permanent Investment Credit anticipated
dynare mwrbcGEIP.mod;  % Growth GE ITC
impmwrbcGEIP=[si-si(1), i-i(1), xk-xk(1), c-c(1), y-y(1), n-n(1) 0*i  r-r(1), w-w(1), 0*y, c, n, u]*100; 
save tempimpmwrbcGEIP impmwrbcGEIP; 
dynare mwrbcGEIPU.mod;  % Growth GE ITC unanticipated
impmwrbcGEIPU=[si-si(1), i-i(1), xk-xk(1), c-c(1), y-y(1), n-n(1) 0*i  r-r(1), w-w(1), 0*y, c, n, u]*100; 
save tempimpmwrbcGEIPU impmwrbcGEIPU; 
dynare paGEIP;  % Partial adjustment model GE ITC
imppaGEIP=[si-si(1), i-i(1), xk-xk(1), c-c(1), y-y(1), n-n(1) 0*i  r-r(1), w-w(1), q-q(1), c, n, u]*100; 
save tempimppaGEIP imppaGEIP;
dynare paGEIPU;  % Partial adjustment model GE ITC
imppaGEIPU=[si-si(1), i-i(1), xk-xk(1), c-c(1), y-y(1), n-n(1) 0*i  r-r(1), w-w(1), q-q(1), c, n, u]*100; 
save tempimppaGEIPU imppaGEIPU;
dynare Lumpy1GEIP; % Lumpy Investment model, GE
impLumpy1GEIP=[si-si(1), i-i(1), xk-xk(1), c-c(1), y-y(1), n-n(1) p-p(1)  r-r(1), w-w(1), q-q(1), c, n, u]*100; 
save tempimpLumpy1GEIP impLumpy1GEIP;
dynare Lumpy1GEIPU; % Lumpy Investment model, GE
impLumpy1GEIPU=[si-si(1), i-i(1), xk-xk(1), c-c(1), y-y(1), n-n(1) p-p(1)  r-r(1), w-w(1), q-q(1), c, n, u]*100; 
save tempimpLumpy1GEIPU impLumpy1GEIPU;
dynare Lumpy2GEIP; % Lumpy 2 Ge
impLumpy2GEIP=[si-si(1), i-i(1), xk-xk(1), c-c(1), y-y(1), n-n(1) p-p(1)  r-r(1), w-w(1), q-q(1), c, n, u]*100; 
save tempimpLumpy2GEIP impLumpy2GEIP;
dynare Lumpy2GEIPU; % Lumpy 2 Ge
impLumpy2GEIPU=[si-si(1), i-i(1), xk-xk(1), c-c(1), y-y(1), n-n(1) p-p(1)  r-r(1), w-w(1), q-q(1), c, n, u]*100; 
save tempimpLumpy2GEIPU impLumpy2GEIPU;

%end of permanent Investment credit anticipated

% Loading all generated impulse Reponses

clear all; 
load tempimppaPE;      %imppaPE; 
load tempimppaPEU;     %imppaPEU;
load tempimpLumpy1PE;  %impLumpy1PE;
load tempimpLumpy1PEU; %impLumpy1PEU;
load tempimpLumpy2PE;  %impLumpy2PE;
load tempimpLumpy2PEU; %impLumpy2PEU;

load tempimpmwrbcGE;  % impmwrbcGE; 
load tempimpmwrbcGEP; % impmwrbcGEP; 
load tempimppaGE;     % imppaGE;
load tempimppaGEP;    % imppaGEP;
load tempimpLumpy1GE; % impLumpy1GE
load tempimpLumpy1GEP;% impLumpy1GEP;
load tempimpLumpy2GE; % impLumpy2GE;
load tempimpLumpy2GEP;% impLumpy2GEP;

load tempimpmwrbcGEU;  % impmwrbcGEU; 
load tempimpmwrbcGEPU; % impmwrbcGEPU; 
load tempimppaGEU;     % imppaGEU;
load tempimppaGEPU;    % imppaGEPU;
load tempimpLumpy1GEU; % impLumpy1GEU
load tempimpLumpy1GEPU;% impLumpy1GEPU;
load tempimpLumpy2GEU; % impLumpy2GEU;
load tempimpLumpy2GEPU;% impLumpy2GEPU;

load tempimpmwrbcGEI;  % impmwrbcGE; 
load tempimpmwrbcGEIU; % impmwrbcGEP; 
load tempimppaGEI;     % imppaGE;
load tempimppaGEIU;    % imppaGEP;
load tempimpLumpy1GEI; % impLumpy1GE
load tempimpLumpy1GEIU;% impLumpy1GEP;
load tempimpLumpy2GEI; % impLumpy2GE;
load tempimpLumpy2GEIU;% impLumpy2GEP;

load tempimpmwrbcGEIP;   % impmwrbcGEIP; 
load tempimpmwrbcGEIPU;  % impmwrbcGEIPU; 
load tempimppaGEIP;      % imppaGEIP;
load tempimppaGEIPU;     % imppaGEIPU;
load tempimpLumpy1GEIP;  % impLumpy1GEIP;
load tempimpLumpy1GEIPU; % impLumpy1GEIPU;
load tempimpLumpy2GEIP;  % impLumpy2GEIP;
load tempimpLumpy2GEIPU; % impLumpy2GEIPU;

kkk=15; 
time=1:kkk; 




figure  % figure 1: GE unanctipated reduction tc from 0.35-->0.25 through period 1-4

subplot(3,3, 1);
plot(time, impmwrbcGEU(2:kkk+1,1),'.-', time, imppaGEU(2:kkk+1,1),'.--', time,impLumpy1GEU (2:kkk+1,1),'.-.', 'LineWidth',1.5);
title('investment rate','fontsize',11); 

subplot(3,3, 2);
plot(time, impmwrbcGEU(2:kkk+1,7), '.-', time, imppaGEU(2:kkk+1,7),'.--', time,impLumpy1GEU (2:kkk+1,7),'.-.', 'LineWidth',1.5);
title('adjustment rate','fontsize',11);

subplot(3,3, 3);
plot(time, impmwrbcGEU(2:kkk+1,10), '.-', time, imppaGEU(2:kkk+1,10),'.--', time,impLumpy1GEU (2:kkk+1,10),'.-.', 'LineWidth',1.5);
title('Q','fontsize',11);

subplot(3,3, 4);
plot(time, impmwrbcGEU(2:kkk+1,3), '.-', time, imppaGEU(2:kkk+1,3),'.--', time,impLumpy1GEU (2:kkk+1,3), '.-.', 'LineWidth',1.5);
title('capital','fontsize',11);

subplot(3,3, 5);
plot(time, impmwrbcGEU(2:kkk+1,6), '.-', time, imppaGEU(2:kkk+1,6),'.--', time,impLumpy1GEU (2:kkk+1,6), '.-.', 'LineWidth',1.5);
title('labor','fontsize',11);

subplot(3,3, 6);
plot(time, impmwrbcGEU(2:kkk+1,4), '.-', time, imppaGEU(2:kkk+1,4),'.--', time,impLumpy1GEU (2:kkk+1,4), '.-.','LineWidth',1.5);
title('consumption','fontsize',11)
subplot(3,3, 7);
plot(time, impmwrbcGEU(2:kkk+1,5), '.-', time, imppaGEU(2:kkk+1,5), '.--',time,impLumpy1GEU (2:kkk+1,5),'.-.', 'LineWidth',1.5);
title('output','fontsize',11)

subplot(3,3, 8);
plot(time, impmwrbcGEU(2:kkk+1,8), '.-', time, imppaGEU(2:kkk+1,8), '.--',time,impLumpy1GEU (2:kkk+1,8), '.-.', 'LineWidth',1.5 );
title('interest rate','fontsize',11);
subplot(3,3, 9);
plot(time, impmwrbcGEU(2:kkk+1,9), '.-', time, imppaGEU(2:kkk+1,9),'.--', time,impLumpy1GEU (2:kkk+1,9),'.-.',  'LineWidth',1.5);
title('wage','fontsize',11);

legend ('Growth', 'PA', 'Lumpy');
print -depsc2 figure01.eps


figure;      % figure 2: PE unactipated reduction tc from 0.35-->0.25 through period 1-4
subplot(2,2,1)
plot(time, imppaPEU(1:kkk,2), '*-',time, impLumpy1PEU(1:kkk,2), 'o-','LineWidth',1.5);
title('investment rate','fontsize',11)
subplot(2,2,2)
plot(time, imppaPEU(1:kkk,1), '*-',time, impLumpy1PEU(1:kkk,1),'o-', 'LineWidth',1.5); 
title('Q','fontsize',11)
subplot(2,2,3)
plot(time, imppaPEU(1:kkk,5), '*-',time, impLumpy1PEU(1:kkk,5), 'o-','LineWidth',1.5);
title('capital','fontsize',11)
subplot(2,2,4)
plot(time, imppaPEU(1:kkk,4), '*-',time, impLumpy1PEU(1:kkk,4),'o-', 'LineWidth',1.5);
title('ajustment rate','fontsize',11)
legend('PA', 'Lumpy');

print -depsc2 figure02.eps

figure % figure 3: GE anctipated reduction tc from 0.35-->0.25 through period 2-5
subplot(3,3, 1);
plot(time, impmwrbcGE(2:kkk+1,1), time, imppaGE(2:kkk+1,1),'--', time,impLumpy1GE (2:kkk+1,1), '-.', 'LineWidth',1.5 );
title('investment rate','fontsize',11); 
subplot(3,3, 2);
plot(time, impmwrbcGE(2:kkk+1,7), time, imppaGE(2:kkk+1,7),'--', time,impLumpy1GE (2:kkk+1,7), '-.', 'LineWidth',1.5 );
title('adjustment rate','fontsize',11);
subplot(3,3,3);
plot(time, impmwrbcGE(2:kkk+1,10), time, imppaGE(2:kkk+1,10),'--', time,impLumpy1GE (2:kkk+1,10), '-.', 'LineWidth',1.5 );
title('Q','fontsize',11);
subplot(3,3, 4);
plot(time, impmwrbcGE(2:kkk+1,3), time, imppaGE(2:kkk+1,3),'--', time,impLumpy1GE (2:kkk+1,3), '-.', 'LineWidth',1.5 );
title('capital','fontsize',11);
subplot(3,3, 5);
plot(time, impmwrbcGE(2:kkk+1,6), time, imppaGE(2:kkk+1,6),'--', time,impLumpy1GE (2:kkk+1,6), '-.', 'LineWidth',1.5);
title('labor','fontsize',11);


subplot(3,3, 6);
plot(time, impmwrbcGE(2:kkk+1,4), time, imppaGE(2:kkk+1,4),'--', time,impLumpy1GE (2:kkk+1,4), '-.', 'LineWidth',1.5 );
title('consumption','fontsize',11)

subplot(3,3, 7);
plot(time, impmwrbcGE(2:kkk+1,5), time, imppaGE(2:kkk+1,5),'--', time,impLumpy1GE (2:kkk+1,5), '-.', 'LineWidth',1.5 );
title('output','fontsize',11)

subplot(3,3, 8);
plot(time, impmwrbcGE(2:kkk+1,8), time, imppaGE(2:kkk+1,8),'--', time,impLumpy1GE (2:kkk+1,8), '-.', 'LineWidth',1.5 );
title('interest rate','fontsize',11);
subplot(3,3, 9);
plot(time, impmwrbcGE(2:kkk+1,9), time, imppaGE(2:kkk+1,9),'--', time,impLumpy1GE (2:kkk+1,9), '-.', 'LineWidth',1.5);
title('wage','fontsize',11);

legend ('Growth', 'PA', 'Lumpy');

print -depsc2 figure03.eps

figure  % figure 4: GE unanctipated permaent reduction tc from 0.35-->0.25 

subplot(3,3, 1);  
plot(time, impmwrbcGEPU(2:kkk+1,1), time, imppaGEPU(2:kkk+1,1),'--', time,impLumpy1GEPU (2:kkk+1,1), '-.', 'LineWidth',1.5 );
title('investment rate','fontsize',11); 
subplot(3,3, 2);
plot(time, impmwrbcGEPU(2:kkk+1,7), time, imppaGEPU(2:kkk+1,7),'--', time,impLumpy1GEPU (2:kkk+1,7), '-.', 'LineWidth',1.5 );
title('adjustment rate','fontsize',11);
subplot(3,3, 3);
plot(time, impmwrbcGEPU(2:kkk+1,10), time, imppaGEPU(2:kkk+1,10),'--', time,impLumpy1GEPU (2:kkk+1,10), '-.', 'LineWidth',1.5 );
title('Q','fontsize',11);
subplot(3,3, 4);
plot(time, impmwrbcGEPU(2:kkk+1,3), time, imppaGEPU(2:kkk+1,3),'--', time,impLumpy1GEPU (2:kkk+1,3), '-.', 'LineWidth',1.5 );
title('capital','fontsize',11); 

subplot(3,3, 5);
plot(time, impmwrbcGEPU(2:kkk+1,6), time, imppaGEPU(2:kkk+1,6),'--', time,impLumpy1GEPU (2:kkk+1,6), '-.', 'LineWidth',1.5 );
title('labor','fontsize',11);

subplot(3,3, 6);
plot(time, impmwrbcGEPU(2:kkk+1,4), time, imppaGEPU(2:kkk+1,4),'--', time,impLumpy1GEPU (2:kkk+1,4), '-.','LineWidth',1.5);
title('consumption','fontsize',11)
subplot(3,3, 7);
plot(time, impmwrbcGEPU(2:kkk+1,5), time, imppaGEPU(2:kkk+1,5),'--', time,impLumpy1GEPU (2:kkk+1,5), '-.','LineWidth',1.5 );
title('output','fontsize',11)

subplot(3,3, 8);
plot(time, impmwrbcGEPU(2:kkk+1,8), time, imppaGEPU(2:kkk+1,8),'--', time,impLumpy1GEPU (2:kkk+1,8), '-.', 'LineWidth',1.5);
title('interest rate','fontsize',11);
subplot(3,3, 9);
plot(time, impmwrbcGEPU(2:kkk+1,9), time, imppaGEPU(2:kkk+1,9),'--', time,impLumpy1GEPU (2:kkk+1,9), '-.', 'LineWidth',1.5 );
title('wage','fontsize',11);

legend ('Growth', 'PA', 'Lumpy');

print -depsc2 figure04.eps



figure % % figure7:  GE unanctipated reduction in ti from 0-->0.1 through period 1-4
subplot(3,3, 1);
plot(time, impmwrbcGEIU(2:kkk+1,1), time, imppaGEIU(2:kkk+1,1),'--', time,impLumpy1GEIU (2:kkk+1,1), '-.', 'LineWidth',1.5 );
title('investment rate','fontsize',11); 
subplot(3,3, 2);
plot(time, impmwrbcGEIU(2:kkk+1,7), time, imppaGEIU(2:kkk+1,7),'--', time,impLumpy1GEIU (2:kkk+1,7), '-.', 'LineWidth',1.5 );
title('adjustment rate','fontsize',11);
subplot(3,3, 3);
plot(time, impmwrbcGEIU(2:kkk+1,10), time, imppaGEIU(2:kkk+1,10),'--', time,impLumpy1GEIU (2:kkk+1,10), '-.', 'LineWidth',1.5 );
title('Q','fontsize',11);
subplot(3,3, 4);
plot(time, impmwrbcGEIU(2:kkk+1,3), time, imppaGEIU(2:kkk+1,3),'--', time,impLumpy1GEIU (2:kkk+1,3), '-.', 'LineWidth',1.5 );
title('capital','fontsize',11); 

subplot(3,3, 5);
plot(time, impmwrbcGEIU(2:kkk+1,6), time, imppaGEIU(2:kkk+1,6),'--', time,impLumpy1GEIU (2:kkk+1,6), '-.', 'LineWidth',1.5);
title('labor','fontsize',11);

subplot(3,3, 6);
plot(time, impmwrbcGEIU(2:kkk+1,4), time, imppaGEIU(2:kkk+1,4),'--', time,impLumpy1GEIU (2:kkk+1,4), '-.', 'LineWidth',1.5 );
title('consumption','fontsize',11)
subplot(3,3, 7);
plot(time, impmwrbcGEIU(2:kkk+1,5), time, imppaGEIU(2:kkk+1,5),'--', time,impLumpy1GEIU (2:kkk+1,5), '-.', 'LineWidth',1.5);
title('output','fontsize',11)

subplot(3,3, 8);
plot(time, impmwrbcGEIU(2:kkk+1,8), time, imppaGEIU(2:kkk+1,8),'--', time,impLumpy1GEIU (2:kkk+1,8), '-.', 'LineWidth',1.5);
title('interest rate','fontsize',11);

subplot(3,3, 9);
plot(time, impmwrbcGEIU(2:kkk+1,9), time, imppaGEIU(2:kkk+1,9),'--', time,impLumpy1GEIU (2:kkk+1,9), '-.', 'LineWidth',1.5);
title('wage','fontsize',11);

legend ('Growth', 'PA', 'Lumpy');
print -depsc2 figure07.eps



figure  % Figure8:  GE anctipated permaent increase in ti from 0-->0.1 in period 2-5
subplot(3,3, 1);
plot(time, impmwrbcGEI(2:kkk+1,1), time, imppaGEI(2:kkk+1,1),'--', time,impLumpy1GEI (2:kkk+1,1), '-.', 'LineWidth',1.5);
title('investment rate','fontsize',11); 
subplot(3,3, 2);
plot(time, impmwrbcGEI(2:kkk+1,7), time, imppaGEI(2:kkk+1,7),'--', time,impLumpy1GEI (2:kkk+1,7), '-.', 'LineWidth',1.5 );
title('adjustment rate','fontsize',11);

subplot(3,3, 3);
plot(time, impmwrbcGEI(2:kkk+1,10), time, imppaGEI(2:kkk+1,10),'--', time,impLumpy1GEI (2:kkk+1,10), '-.', 'LineWidth',1.5 );
title('Q','fontsize',11);

subplot(3,3, 4);
plot(time, impmwrbcGEI(2:kkk+1,3), time, imppaGEI(2:kkk+1,3),'--', time,impLumpy1GEI (2:kkk+1,3), '-.', 'LineWidth',1.5 );
title('capital','fontsize',11); 

subplot(3,3, 5);
plot(time, impmwrbcGEI(2:kkk+1,6), time, imppaGEI(2:kkk+1,6),'--', time,impLumpy1GEI (2:kkk+1,6), '-.', 'LineWidth',1.5 );
title('labor','fontsize',11);

subplot(3,3, 6);
plot(time, impmwrbcGEI(2:kkk+1,4), time, imppaGEI(2:kkk+1,4),'--', time,impLumpy1GEI (2:kkk+1,4), '-.', 'LineWidth',1.5);
title('consumption','fontsize',11)
subplot(3,3, 7);
plot(time, impmwrbcGEI(2:kkk+1,5), time, imppaGEI(2:kkk+1,5),'--', time,impLumpy1GEI (2:kkk+1,5), '-.', 'LineWidth',1.5 );
title('output','fontsize',11)


subplot(3,3, 8);
plot(time, impmwrbcGEI(2:kkk+1,8), time, imppaGEI(2:kkk+1,8),'--', time,impLumpy1GEI (2:kkk+1,8), '-.', 'LineWidth',1.5 );
title('interest rate','fontsize',11);
subplot(3,3, 9);
plot(time, impmwrbcGEI(2:kkk+1,9), time, imppaGEI(2:kkk+1,9),'--', time,impLumpy1GEI (2:kkk+1,9), '-.', 'LineWidth',1.5 );
title('wage','fontsize',11);

legend ('Growth', 'PA', 'Lumpy');
print -depsc2 figure08.eps

figure % Figure 9: Permanent Unanticipated Investment Credit

subplot(3,3, 1);
plot(time, impmwrbcGEIPU(2:kkk+1,1), time, imppaGEIPU(2:kkk+1,1),'--', time,impLumpy1GEIPU (2:kkk+1,1), '-.', 'LineWidth',1.5 );
title('investment rate','fontsize',11); 
subplot(3,3, 2);
plot(time, impmwrbcGEIPU(2:kkk+1,7), time, imppaGEIPU(2:kkk+1,7),'--', time,impLumpy1GEIPU (2:kkk+1,7), '-.', 'LineWidth',1.5 );
title('adjustment rate','fontsize',11);

subplot(3,3, 3);
plot(time, impmwrbcGEIPU(2:kkk+1,10), time, imppaGEIPU(2:kkk+1,10),'--', time,impLumpy1GEIPU (2:kkk+1,10), '-.','LineWidth',1.5 );
title('Q','fontsize',11);

subplot(3,3, 4);
plot(time, impmwrbcGEIPU(2:kkk+1,3), time, imppaGEIPU(2:kkk+1,3),'--', time,impLumpy1GEIPU (2:kkk+1,3), '-.', 'LineWidth',1.5);
title('capital','fontsize',11); 
subplot(3,3, 5);
plot(time, impmwrbcGEIPU(2:kkk+1,6), time, imppaGEIPU(2:kkk+1,6),'--', time,impLumpy1GEIPU (2:kkk+1,6), '-.', 'LineWidth',1.5 );
title('labor','fontsize',11);

subplot(3,3, 6);
plot(time, impmwrbcGEIPU(2:kkk+1,4), time, imppaGEIPU(2:kkk+1,4),'--', time,impLumpy1GEIPU (2:kkk+1,4), '-.', 'LineWidth',1.5);
title('consumption','fontsize',11)
subplot(3,3, 7);
plot(time, impmwrbcGEIPU(2:kkk+1,5), time, imppaGEIPU(2:kkk+1,5),'--', time,impLumpy1GEIPU (2:kkk+1,5), '-.', 'LineWidth',1.5);
title('output','fontsize',11)


subplot(3,3, 8);
plot(time, impmwrbcGEIPU(2:kkk+1,8), time, imppaGEIPU(2:kkk+1,8),'--', time,impLumpy1GEIPU (2:kkk+1,8), '-.', 'LineWidth',1.5 );
title('interest rate','fontsize',11);
subplot(3,3, 9);
plot(time, impmwrbcGEIPU(2:kkk+1,9), time, imppaGEIPU(2:kkk+1,9),'--', time,impLumpy1GEIPU (2:kkk+1,9), '-.', 'LineWidth',1.5);
title('wage','fontsize',11);

legend ('Growth', 'PA', 'Lumpy');
print -depsc2 figure09.eps



