%
%This program Produces Figure 5
%

clear all;
clc; 
close all;



% Begining of Unanticipated Shock

dynare mwrbcGEU.mod;  % Growth GE unanticipated 
impmwrbcGEU=[si-si(1), i-i(1), xk-xk(1), c-c(1), y-y(1), n-n(1) 0*i  r-r(1), w-w(1), 0*y, c, n, u]*100; 
save tempimpmwrbcGEU impmwrbcGEU; 
dynare mwrbcGEPU.mod; % Growth GE parmanent Tax Change
impmwrbcGEPU=[si-si(1), i-i(1), xk-xk(1), c-c(1), y-y(1), n-n(1) 0*i  r-r(1), w-w(1), 0*y, c, n, u]*100; 
save tempimpmwrbcGEPU impmwrbcGEPU; 
dynare paGEU;  % Partial adjustment model GE
imppaGEU=[si-si(1), i-i(1), xk-xk(1), c-c(1), y-y(1), n-n(1) 0*i  r-r(1), w-w(1), q-q(1), c, n, u]*100; 
save tempimppaGEU imppaGEU;
dynare paGEPU ;% Partial adjustment model GE, Permanent Change
imppaGEPU=[si-si(1), i-i(1), xk-xk(1), c-c(1), y-y(1), n-n(1) 0*i  r-r(1), w-w(1), q-q(1), c, n, u]*100; 
save tempimppaGEPU imppaGEPU;
dynare Lumpy1GEU; % Lumpy Investment model, GE
impLumpy1GEU=[si-si(1), i-i(1), xk-xk(1), c-c(1), y-y(1), n-n(1) p-p(1)  r-r(1), w-w(1), q-q(1), c, n, u]*100; 
save tempimpLumpy1GEU impLumpy1GEU
dynare Lumpy1GEPU5; % Lumpy Investment model GE, Permanent Change
impLumpy1GEPU=[si-si(1), i-i(1), xk-xk(1), c-c(1), y-y(1), n-n(1) p-p(1)  r-r(1), w-w(1), q-q(1), c, n, u]*100; 
save tempimpLumpy1GEPU impLumpy1GEPU;
dynare Lumpy2GEU; % Lumpy 2 Ge
impLumpy2GEU=[si-si(1), i-i(1), xk-xk(1), c-c(1), y-y(1), n-n(1) p-p(1)  r-r(1), w-w(1), q-q(1), c, n, u]*100; 
save tempimpLumpy2GEU impLumpy2GEU;
dynare Lumpy2GEPU5; % Lumpy2 Investment model GE, Permanent Change
impLumpy2GEPU=[si-si(1), i-i(1), xk-xk(1), c-c(1), y-y(1), n-n(1) p-p(1)  r-r(1), w-w(1), q-q(1), c, n, u]*100; 
save tempimpLumpy2GEPU impLumpy2GEPU;
%% End of Anticipated shock




% Loading all generated impulse Reponses

clear all; 



load tempimpmwrbcGEU;  % impmwrbcGEU; 
load tempimpmwrbcGEPU; % impmwrbcGEPU; 
load tempimppaGEU;     % imppaGEU;
load tempimppaGEPU;    % imppaGEPU;
load tempimpLumpy1GEU; % impLumpy1GEU
load tempimpLumpy1GEPU;% impLumpy1GEPU;
load tempimpLumpy2GEU; % impLumpy2GEU;
load tempimpLumpy2GEPU;% impLumpy2GEPU;




kkk=15; 
time=1:kkk; 


figure  % figure 5: GE unanctipated permaent reduction tc from 0.35-->0.25 New Distribution

subplot(3,3, 1);  
plot(time, impmwrbcGEPU(2:kkk+1,1), time, imppaGEPU(2:kkk+1,1),'--', time,impLumpy1GEPU (2:kkk+1,1), '-.', 'LineWidth',1.5 );
title('investment rate','fontsize',11); 

subplot(3,3,2)
plot(time, impmwrbcGEPU(2:kkk+1,7), time, imppaGEPU(2:kkk+1,7),'--', time,impLumpy1GEPU (2:kkk+1,7), '-.' ,'LineWidth',1.5 );
title('adjustment rate','fontsize',11);

subplot(3,3,3)
plot(time, impmwrbcGEPU(2:kkk+1,10), time, imppaGEPU(2:kkk+1,10),'--', time,impLumpy1GEPU (2:kkk+1,10), '-.','LineWidth',1.5 );
title('Q','fontsize',11);


subplot(3,3,4)
plot(time, impmwrbcGEPU(2:kkk+1,3), time, imppaGEPU(2:kkk+1,3),'--', time,impLumpy1GEPU (2:kkk+1,3), '-.', 'LineWidth',1.5 );
title('capital','fontsize',11); 

subplot(3,3,5)
plot(time, impmwrbcGEPU(2:kkk+1,6), time, imppaGEPU(2:kkk+1,6),'--', time,impLumpy1GEPU (2:kkk+1,6), '-.' ,'LineWidth',1.5 );
title('labor','fontsize',11);
%subplot(5,2, 4);
subplot(3,3,6)
plot(time, impmwrbcGEPU(2:kkk+1,4), time, imppaGEPU(2:kkk+1,4),'--', time,impLumpy1GEPU (2:kkk+1,4), '-.','LineWidth',1.5);
title('consumption','fontsize',11)

subplot(3,3,7)
plot(time, impmwrbcGEPU(2:kkk+1,5), time, imppaGEPU(2:kkk+1,5),'--', time,impLumpy1GEPU (2:kkk+1,5), '-.' ,'LineWidth',1.5 );
title('output','fontsize',11)

subplot(3,3,8)
plot(time, impmwrbcGEPU(2:kkk+1,8), time, imppaGEPU(2:kkk+1,8),'--', time,impLumpy1GEPU (2:kkk+1,8), '-.','LineWidth',1.5);
title('interest rate','fontsize',11);
%subplot(5,2, 9);
subplot(3,3,9)
plot(time, impmwrbcGEPU(2:kkk+1,9), time, imppaGEPU(2:kkk+1,9),'--', time,impLumpy1GEPU (2:kkk+1,9), '-.', 'LineWidth',1.5 );
title('wage','fontsize',11);

legend ('Growth', 'PA', 'Lumpy');
print -depsc2 figure05.eps








